Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Functions
ClpHelperFunctions.hpp File Reference
`#include "ClpConfig.h"`
Include dependency graph for ClpHelperFunctions.hpp:

Go to the source code of this file.

## Macros
#define | ClpTraceDebug(expression)

## Functions
double | maximumAbsElement (const double *region, int size)
| Note (JJF) I have added some operations on arrays even though they may duplicate CoinDenseVector. More...
void | setElements (double *region, int size, double value)
void | multiplyAdd (const double *region1, int size, double multiplier1, double *region2, double multiplier2)
double | innerProduct (const double *region1, int size, const double *region2)
void | getNorms (const double *region, int size, double &norm1, double &norm2)
double | CoinSqrt (double x)
void | ClpTracePrint (std::string fileName, std::string message, int line)
| Trace. More...

## Macro Definition Documentation

#define ClpTraceDebug | ( |  | expression | ) |

Value:
{ \
if (!(expression)) { \
ClpTracePrint(__FILE__, __STRING(expression), __LINE__); \
} \
}
__STRING
#define __STRING(x)
Definition: CoinError.hpp:173
ClpTracePrint
void ClpTracePrint(std::string fileName, std::string message, int line)
Trace.

Definition at line 91 of file ClpHelperFunctions.hpp.

## Function Documentation

double maximumAbsElement | ( | const double * | region,
|  | int | size
| ) |  |

Note (JJF) I have added some operations on arrays even though they may duplicate CoinDenseVector.

I think the use of templates was a mistake as I don't think inline generic code can take as much advantage of parallelism or machine architectures or memory hierarchies.

void setElements | ( | double * | region,
|  | int | size,
|  | double | value
| ) |  |

void multiplyAdd | ( | const double * | region1,
|  | int | size,
|  | double | multiplier1,
|  | double * | region2,
|  | double | multiplier2
| ) |  |

double innerProduct | ( | const double * | region1,
|  | int | size,
|  | const double * | region2
| ) |  |

void getNorms | ( | const double * | region,
|  | int | size,
|  | double & | norm1,
|  | double & | norm2
| ) |  |

double CoinSqrt | ( | double | x | ) |
| inline

Definition at line 79 of file ClpHelperFunctions.hpp.

void ClpTracePrint | ( | std::string | fileName,
|  | std::string | message,
|  | int | line
| ) |  |

Trace.